/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: PortComponentRef.java 3804 2008-08-07 13:57:58Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

/**
 * This class defines the implementation of the &lt;port-component-ref&gt; element.
 * @author Guillaume Sauthier
 */
public class PortComponentRef {

    /**
     * Name of this element.
     */
    public static final String NAME = "port-component-ref";

    /**
     * Service Endpoint Interface of the &lt;port-component-ref&gt; element.
     */
    private String serviceEndpointInterface = null;

    /**
     * Is MTOM enabled of the &lt;port-component-ref&gt; element.
     */
    private boolean enableMTOM = false;

    /**
     * PortComponent link of the &lt;port-component-ref&gt; element.
     */
    private String portComponentLink = null;

    public boolean isEnableMTOM() {
        return enableMTOM;
    }

    public void setEnableMTOM(boolean enableMTOM) {
        this.enableMTOM = enableMTOM;
    }

    public String getPortComponentLink() {
        return portComponentLink;
    }

    public void setPortComponentLink(String portComponentLink) {
        this.portComponentLink = portComponentLink;
    }

    public String getServiceEndpointInterface() {
        return serviceEndpointInterface;
    }

    public void setServiceEndpointInterface(String serviceEndpointInterface) {
        this.serviceEndpointInterface = serviceEndpointInterface;
    }
}
